#include "core.fsh"
#include "camera.sh"
#include "pixel_codec.fsh"

in vec2 UV_f;

uniform highp sampler2D texUnit;

layout(location = 0) out vec4 fragColor;

void main()
{
    float non_linear01 = texture(texUnit, UV_f).r;
    float linear01 = Depth_NonLinearToLinear01(non_linear01);
    fragColor = EncodeFloatRGBA(min(linear01, 0.9999));
}
